package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 日期类型
 */
public enum DateTypeEnum implements BaseEnum {
    WORK_DAY("0","工作日"),
    HOLIDAY("1","节假日"),
    PUBLIC_RESTDAY("2","公休日"),
    EXCHANGE_LEAVEDAY("3","调休日"),
    CHANGECLASS("4","调班日");

    private String key;
    private String value;
    DateTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }
    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
